;
; ------------------------------------------------------------
;
;   PureBasic - Image example file
;
;    (c) 2001 - Fantaisie Software
;
; ------------------------------------------------------------
;

If OpenWindow(0, 100, 100, 300, 300, #PB_Window_SystemMenu, "PureBasic - Image")

  Gosub CreateImage

  CreateGadgetList(WindowID())
    ImageGadget(0, 10, 10, 100, 100, ImageID())

  Repeat
    EventID = WaitWindowEvent()
  Until EventID = #PB_EventCloseWindow  ; If the user has pressed on the close button
  
EndIf

End   ; All the opened windows are closed automatically by PureBasic


;
; Some 2D graphics functions...
;

CreateImage:

  If CreateImage(0, 255, 255)
    If StartDrawing(ImageOutput())
        
      For k=0 To 255
        FrontColor(k,0, k)  ; a rainbow, from black to pink
        Line(0, k, 255, 0)
      Next

      DrawingMode(1)
      Locate(40, 50)
      FrontColor(255,255,255) ; print the text to white !
      DrawText("An image created easely...")

      StopDrawing() ; This is absolutely needed when the drawing operations are finished !!! Never forget it !
      
    EndIf  
  EndIf

Return   
